#include<stdio.h>
#include<math.h>
double N,L,R,x,y,z,br=0;
int p,q,r;
int main(){
	scanf("%d%d%d%lf%lf",&p,&q,&r,&L,&R);
	for(N=L;N<=R;N++)if(ceil(N/p)+ceil(N/q)+ceil(N/r)<=N)br++;
	printf("%.0lf",br);
	return 0;
}